{
	"name": "form/nc/nc-bank/grid-voucher.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "colDef.field === 'bkv.voucher_type' && x === 6"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "Math.abs(data.bkv ? data.bkv.json_data.kredit_price : 0) >= 7000",
				"nc-grid-row-equal": "data.bkv ? data.bkv.json_data.kredit_price : 0 === 0",
				"nc-grid-row-deleted": "data.difference != null",
				"nc-grid-row-new": "data.difference == 'zz'"
			}
		}
	},
	"column": [
		{
			"link_field": "bkv.voucher_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx",
			"width": 65
		},
		{
			"field": "bkv.voucher_id",
			"width": 80,
			"name": "Tosite id"
		},
		{
			"field": "bkv.voucher_number",
			"width": 90,
			"name": "Tositenro"
		},
		{
			"field": "bkv.target_date",
			"width": 85,
			"name": "Päiväys"
		},
		{
			"field": "bkv.voucher_type",
			"width": 55,
			"name": "Tyyppi"
		},
		{
			"field": "bkv.voucher_state",
			"width": 60,
			"name": "Tila"
		},
		{
			"field": "bkv.json_data.year",
			"width": 60,
			"name": "Vuosi"
		},
		{
			"field": "bkv.json_data.month",
			"width": 60,
			"name": "Kuuk."
		},
		{
			"field": "bkv.reference",
			"width": 100,
			"name": "Viite"
		},
		{
			"field": "bkv.json_data.debet_price",
			"width": 85,
			"name": "Debet"
		},
		{
			"field": "bkv.json_data.kredit_price",
			"width": 85,
			"name": "Kredit"
		},
		{
			"variable": "difference",
			"width": 110,
			"name": "Ero",
			"format": "%'.18f",
			"cellClass": ["nc-bold"]
		},
		{
			"field": "bkv.bank_statement",
			"width": 70,
			"name": "Tiliote"
		},
		{
			"field": "bkv.info",
			"width": 200,
			"name": "Lisätietoja"
		},
		{
			"field": "bkv.json_data.transfer_id",
			"width": 100,
			"name": "Siirtotunnus"
		},
		{
			"field": "bkv.record_id",
			"width": 350,
			"name": "ID"
		}
	]
}
